scala.collection.jcl
trait SortedSet

[source: `scala/collection/jcl/SortedSet.scala`]

`` `trait` SortedSet[A]
  `extends` SortedSet[A]`with` Set[A]`with` Sorted[A, A]

  Analogous to a Java sorted set.

Author
  Sean McDirmid

Direct Known Subclasses:
  SortedSet.Projection, SortedSetWrapper

Type Summary
`protected final type` | SortedSelf

Method Summary
`abstract def` | compare (a0 : A, a1 : A) : Int Comparison function that orders keys.
`override def` | firstKey : A Returns the first key of the collection.
`override def` | hasAll (that : Iterable[A]) : Boolean Type-safe version of containsAll. * * @author Sean McDirmid
`override def` | keySet : SortedSet[A] return as a projection the set of keys in this collection
`override def` | lastKey : A Returns the last key of the collection.
`override def` | projection : Projection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override def` | rangeImpl (from : Option[A], until : Option[A]) : SortedSet[A] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.
`override def` | subsetOf (that : Set[A]) : Boolean Checks if this set is a subset of set `that`.

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Set
add (abstract), contains, ++, --, +, -, retain, isEmpty, clear, transform

Methods inherited from Collection
addAll, -=, +=

Methods inherited from MutableIterable
elements (abstract), has, remove, removeAll, retainAll, size0

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Sorted
hasAll

Methods inherited from Set
size (abstract), apply, equals, hashCode, toArray

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | Filter (p : (A) => Boolean)`extends` Filter `with` Projection[A]
`protected class` | Range (from : Option[A], until : Option[A])`extends` Filter